<section class="wrapper" >
  <div class="container-fluid">
    <div class="row">
      <div class="col-md-12 bg-light">
        <ul class="nav">
          <li class="nav-item">
            <a class="nav-link" href="#">Application</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Application View</a>
          </li>
        </ul>
      </div>
    </div>
    <form action="" method=""[formGroup]="resumeGroup">    
          <div class="row">
              <div class="col-md-4 form-group">
                  <label for="title" >Title:</label>
                  <select class="form-control" id="title" name="title" formControlName="title">
                    <option disabled>Select title</option>
                    <option *ngFor="let title of resumeService.titleList" >{{title.value}}</option>
                  </select>
                  <div *ngIf="resumeGroup.controls.title.errors && ( resumeGroup.controls.title.dirty || resumeGroup.controls.title.touched )">
                      <p *ngIf="resumeGroup.controls.title.errors.required" class="txt text-danger">Its required.....</p>
                  </div>
              </div>
              <div class="col-md-8 form-group">
                  <label for="name">Name</label>
                  <input type="text" class="form-control" id="name" name="name" placeholder="Enter Name"  formControlName="name" />
                  <div *ngIf="resumeGroup.controls.name.errors && (resumeGroup.controls.name.dirty || resumeGroup.controls.name.touched)">
                    <p *ngIf="resumeGroup.controls.name.errors.required" class="txt text-danger">Its required.....</p>
                    <p *ngIf="resumeGroup.controls.name.errors.pattern" class="text-danger">Invalid Name</p>
                  </div> 
              </div>
          </div>
        <div class="row">
          <div class="col-md-6 form-group">
            <label for="father-name">Father Name</label>
            <input type="text" class="form-control" id="father-name" placeholder="Enter Father Name" name="fname" formControlName="fatherName"/>
            <div *ngIf="resumeGroup.controls.fatherName.errors && (resumeGroup.controls.fatherName.dirty || resumeGroup.controls.fatherName.touched)">
                <p *ngIf="resumeGroup.controls.fatherName.errors.required" class="txt text-danger">Its required.....</p>
                <p *ngIf="resumeGroup.controls.fatherName.errors.pattern" class="text-danger">Invalid Name</p>
            </div> 
          </div>
          <div class="col-md-6 form-group">
            <label for="dob">Date Of Birth</label>
            <input type="date" class="form-control" id="dob" name="dob" formControlName="dob">
            <div *ngIf="resumeGroup.controls.dob.errors && (resumeGroup.controls.dob.dirty || resumeGroup.controls.dob.touched)">
              <p *ngIf="resumeGroup.controls.dob.errors.required" class="txt text-danger">Its required.....</p>
            </div> 
          </div>
        </div>
        <div class="row">
          <div class="col-md-6 form-group">
            <label for="mob-no">Mobile Number</label>
            <input type="text" class="form-control" id="mob-no" placeholder="Enter Mobile Number" name="mobile" maxlength="10" formControlName="mobile"/>
            <div *ngIf="resumeGroup.controls.mobile.errors && (resumeGroup.controls.mobile.dirty || resumeGroup.controls.mobile.touched)">
              <p *ngIf="resumeGroup.controls.mobile.errors.required" class="txt text-danger">Its required.....</p>
              <p *ngIf="resumeGroup.controls.mobile.errors.pattern" class="text-danger">Invalid Number</p>
            </div> 
          </div>
          <div class="col-md-6 form-group">
            <label for="email-id">Email</label>
            <input type="email" class="form-control" id="email-id" placeholder="Enter email" name="email" formControlName="email">
            <div *ngIf="resumeGroup.controls.email.errors && (resumeGroup.controls.email.dirty || resumeGroup.controls.email.touched)">
                <p *ngIf="resumeGroup.controls.email.errors.required" class="text-danger">It required...</p>
                <p *ngIf="resumeGroup.controls.email.errors.email" class="text-danger">Invalid Email </p>
            </div> 
          </div>
        </div>
        <div class="row">
          <div class="col-md-12 form-group">
            <label for="address">Address</label>
            <textarea class="form-control" id="address" name="address" formControlName="address"></textarea>
            <div *ngIf="resumeGroup.controls.address.errors && (resumeGroup.controls.address.dirty || resumeGroup.controls.address.touched)">
                <p *ngIf="resumeGroup.controls.address.errors.required" class="txt text-danger">Its required.....</p>       
            </div> 
          </div>
        </div>
        <div class="row">
          <div class="col-md-12 form-group">
            <label for="male-gender">Gender</label>
            <div class="form-check">
              <label class="form-check-label">
                  <input type="radio" class="form-check-input" name="gender" value="Male" id="male-gender" formControlName="gender">Male
              </label>
            </div>
            <div class="form-check">
              <label class="form-check-label">
                <input type="radio" class="form-check-input" name="gender" value="female" id="female-gender" formControlName="gender" >Female
              </label>
            </div>
            <div class="form-check disabled">
              <label class="form-check-label">
                <input type="radio" class="form-check-input" name="gender" value="other" formControlName="gender">Other
              </label>
            </div>
            <div *ngIf="resumeGroup.controls.gender.errors && (resumeGroup.controls.gender.dirty || resumeGroup.controls.gender.touched)">
                <p *ngIf="resumeGroup.controls.gender.errors.required" class="txt text-danger">Its required.....</p>       
            </div> 
          </div>
        </div>
        <div class="row ">
          <div class="col-md-12 form-group">
            <label for="objective">Objective</label>
            <input type="text" class="form-control" placeholder="Enter Objective" id="objective" name="objectiveinput" formControlName="objective">
            <div *ngIf="resumeGroup.controls.objective.errors && (resumeGroup.controls.objective.dirty || resumeGroup.controls.objective.touched)">
              <p *ngIf="resumeGroup.controls.objective.errors.required" class="txt text-danger">Its required.....</p>       
          </div> 
          </div>
        </div>
        <div class="row col-md-12">
          <label for="exp-year">Exprince</label>
        </div>
        <div class="row">
          <div class="col-md-4 form-group">
            <label>Year</label>
            <select class="form-control" id="exp-year" name="exp-year" formControlName="expYear">
              <option>Select Year</option>
              <option *ngFor="let year of resumeService.expYear" >{{year.value}}</option>
            </select>
            <div *ngIf="resumeGroup.controls.expYear.errors && (resumeGroup.controls.expYear.dirty || resumeGroup.controls.expYear.touched)">
              <p *ngIf="resumeGroup.controls.expYear.errors.required" class="txt text-danger">Its required.....</p>       
            </div> 
          </div>
          <div class="col-md-4 form-group">
              <label>Month</label>
              <select class="form-control" id="exp-month" name="exp-month" formControlName="expMonth">
                <option>Select Month</option>
                <option *ngFor="let month of resumeService.expMonth">{{month.value}}</option>
              </select>
              <div *ngIf="resumeGroup.controls.expMonth.errors && (resumeGroup.controls.expMonth.dirty || resumeGroup.controls.expMonth.touched)">
                <p *ngIf="resumeGroup.controls.expMonth.errors.required" class="txt text-danger">Its required.....</p>       
              </div> 
          </div>
          <!-- <div class="col-md-4 form-group">
            <label for="details">Details</label>
            <input type="text" class="form-control" id="details" placeholder="Enter Details"  formControlName="skills">
            <div *ngIf="resumeGroup.controls.skills.errors && (resumeGroup.controls.skills.dirty || resumeGroup.controls.skills.touched)">
              <p *ngIf="resumeGroup.controls.skills.errors.required" class="txt text-danger">Its required.....</p>       
            </div> 
          </div> -->
        </div>
        <div class="row col-md-12">
          <label>Education Details</label>
        </div>
        <div class="row">
          <div class="col-md-4 form-group">
            <label>10th</label>
            <input type="text" class="form-control" placeholder="Enter persentage without %"  formControlName="sccPer" >
            <div *ngIf="resumeGroup.controls.sccPer.errors && (resumeGroup.controls.sccPer.dirty || resumeGroup.controls.sccPer.touched)">
                <p *ngIf="resumeGroup.controls.sccPer.errors.required" class="text-danger">Its required.....</p>
           </div>
          </div>
          <div class="col-md-4 form-group">
              <label>Board</label>
              <select class="form-control" formControlName="sccBoard">
                <option>Select Board</option>
                <option *ngFor="let b of resumeService.board" >{{b.value}}</option>
              </select>
              <div *ngIf="resumeGroup.controls.sccBoard.errors && (resumeGroup.controls.sccBoard.dirty || resumeGroup.controls.sccBoard.touched)">
                <p *ngIf="resumeGroup.controls.sccBoard.errors.required" class="txt text-danger">Its required.....</p>         
              </div>
          </div>
          <div class="col-md-4 form-group">
              <label>Select Passing Year</label>
              <select class="form-control"  formControlName="sccYear" >
                <option>Select SSC Year</option>
                <option *ngFor="let y of resumeService.Year">{{y.value}}</option>
              </select>
              <div *ngIf="resumeGroup.controls.sccYear.errors && (resumeGroup.controls.sccYear.dirty || resumeGroup.controls.sccYear.touched)">
                <p *ngIf="resumeGroup.controls.sccYear.errors.required" class="txt text-danger">Its required.....</p>         
              </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-4 form-group">
            <label>12th</label>
            <input type="text" class="form-control" placeholder="%" id="hsc-per" name="hsc-per" formControlName="hscPer">
          </div>
          <div class="col-md-4 form-group">
              <label>Board</label>
              <select class="form-control" name="hsc-board" formControlName="hscBoard">
                <option>Select</option>
                <option>Amravati Board</option>
              </select>
              <div *ngIf="resumeGroup.controls.hscBoard.errors && (resumeGroup.controls.hscBoard.dirty || resumeGroup.controls.hscBoard.touched)">
                <p *ngIf="resumeGroup.controls.hscBoard.errors.required" class="txt text-danger">Its required.....</p>         
              </div>
          </div>
          <div class="col-md-4 form-group">
            <label>Select Passing Year</label>
            <select class="form-control" name="hsc-passing" formControlName="hscYear">
              <option>Select Year</option>
              <option *ngFor="let year of resumeService.Year">{{year.value}}</option>
            </select>
            <div *ngIf="resumeGroup.controls.hscYear.errors && (resumeGroup.controls.hscYear.dirty || resumeGroup.controls.hscYear.touched)">
              <p *ngIf="resumeGroup.controls.hscYear.errors.required" class="txt text-danger">Its required.....</p>         
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-3 form-group">
            <label>Graduation</label>
            <select class="form-control" name="graduation" formControlName="graduation">
              <option>Select UG</option>
              <option *ngFor="let ug of resumeService.graduations" >{{ug.value}}</option>
            </select>
            <div *ngIf="resumeGroup.controls.graduation.errors && (resumeGroup.controls.graduation.dirty || resumeGroup.controls.graduation.touched)">
              <p *ngIf="resumeGroup.controls.graduation.errors.required" class="txt text-danger">Its required.....</p>         
            </div>
          </div>
          <div class="col-md-3 form-group">
            <label>Mark %</label>
            <input type="text" class="form-control" name="grad-per" formControlName="gradPer">
            <div *ngIf="resumeGroup.controls.gradPer.errors && (resumeGroup.controls.gradPer.dirty || resumeGroup.controls.gradPer.touched)">
              <p *ngIf="resumeGroup.controls.gradPer.errors.required" class="txt text-danger">Its required.....</p>         
            </div>
          </div>
          <div class="col-md-3 form-group">
            <label>College/University</label>
            <input type="text" class="form-control" name="grad-clg" formControlName="grdClg">
            <div *ngIf="resumeGroup.controls.grdClg.errors && (resumeGroup.controls.grdClg.dirty || resumeGroup.controls.grdClg.touched)">
              <p *ngIf="resumeGroup.controls.grdClg.errors.required" class="txt text-danger">Its required.....</p>         
            </div>
          </div>
          <div class="col-md-3 form-group">
            <label>year of passing</label>
            <select class="form-control" name="grad-year" formControlName="grdYear">
              <option>Select Year</option>
              <option *ngFor="let y of resumeService.Year" >{{y.value}}</option>
            </select>
            <div *ngIf="resumeGroup.controls.grdYear.errors && (resumeGroup.controls.grdYear.dirty || resumeGroup.controls.grdYear.touched)">
              <p *ngIf="resumeGroup.controls.grdYear.errors.required" class="txt text-danger">Its required.....</p>         
            </div>
          </div>
        </div>
        <div class="row"> 
          <div class="col-md-3 form-group">
            <label>Post Graduation</label>
            <select class="form-control" name="post-grad" formControlName="postGraduation">
              <option>Select</option>
              <option *ngFor="let pg of resumeService.postGraduations" >{{pg.value}}</option>
            </select>
          </div>
          <div class="col-md-3 form-group">
            <label>Mark %</label>
            <input type="text" class="form-control" name="post-per" fromControlName="postPer">
          </div>
          <div class="col-md-3 form-group">
            <label>College/University</label>
            <input type="text" class="form-control" name="post-clg" formControlName="postClg">
          </div>
          <div class="col-md-3 form-group">
            <label>year of passing</label>
            <select class="form-control" name="post-year" formControlName="postYear">
              <option>Select Year</option>
              <option *ngFor="let y of resumeService.Year">{{y.value}}</option>
            </select>
          </div>
        </div>
        <div class="row">
          <div class="col-md-6 form-group">
            <label>Skills</label>
            <input type="text" class="form-control" placeholder="Add skills eg. html,css,js etc." name="skills" formControlName="skills">
            <div *ngIf="resumeGroup.controls.skills.errors && (resumeGroup.controls.skills.dirty || resumeGroup.controls.skills.touched)">
              <p *ngIf="resumeGroup.controls.skills.errors.required" class="txt text-danger">Its required.....</p>         
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-6 form-group">
            <label>Project Details</label>
            <textarea type="text" class="form-control" name="project-details" formControlName="projectDetails"></textarea>
            <div *ngIf="resumeGroup.controls.projectDetails.errors && (resumeGroup.controls.projectDetails.dirty || resumeGroup.controls.projectDetails.touched)">
              <p *ngIf="resumeGroup.controls.projectDetails.errors.required" class="txt text-danger">Its required.....</p>         
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-6 form-group">
            <label>Hobbies</label>
            <input type="text" class="form-control" placeholder="eg.reading book,painting etc.." formControlName="hobbies">
            <div *ngIf="resumeGroup.controls.hobbies.errors && (resumeGroup.controls.hobbies.dirty || resumeGroup.controls.hobbies.touched)">
              <p *ngIf="resumeGroup.controls.hobbies.errors.required" class="txt text-danger">Its required.....</p>         
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-4 form-group">
            <label>Upload Image</label>
            <input type="file" class="form-control" formControlName="img">
            <div *ngIf="resumeGroup.controls.img.errors && (resumeGroup.controls.img.dirty || resumeGroup.controls.img.touched)">
              <p *ngIf="resumeGroup.controls.img.errors.required" class="txt text-danger">Its required.....</p>         
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-12">
            <input type="submit" class="btn btn-success btn-lg "  (click)="submitForm()" value="Submit"  >
            <input type="reset" class="btn btn-danger btn-lg ml-5" value="Reset">
          </div>
        </div>
    </form>
  </div>
</section>